> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get group RBAC

> Retrieve RBAC permissions for a specific group



## OpenAPI

````yaml get /v1/rbac/{id}/group/{name}
openapi: 3.0.0
info:
  title: RBAC API
  version: 1.0.0
  description: API for Role-Based Access Control management
servers: []
security:
  - bearerAuth: []
tags:
  - name: RBAC
    description: Role-Based Access Control operations
paths:
  /v1/rbac/{id}/group/{name}:
    get:
      tags:
        - RBAC
      summary: Get group RBAC
      description: Retrieve RBAC permissions for a specific group
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: name
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Group permissions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RbacResponse'
        '404':
          description: Group not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    RbacResponse:
      type: object
      properties:
        roles:
          type: array
          items:
            $ref: '#/components/schemas/Role'
        records:
          type: array
          items:
            $ref: '#/components/schemas/RbacRecord'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code
          example: rbac.invalid_permission
        message:
          type: string
          description: Error message
    Role:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        user_role_id:
          type: string
          format: uuid
    RbacRecord:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        record_id:
          type: string
          format: uuid
        rec_type_name:
          type: string
        actor_name:
          type: string
        actor_id:
          type: string
          format: uuid
        permission:
          type: array
          items:
            type: string
            enum:
              - C
              - R
              - U
              - D
              - A
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````